# m3e/selection_list

SelectionList is a list of selectable options.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## Config

</>

Config is a public record for configuring this component.

    pub type Config {
      Config(
        hide_selection_indicator: HideSelectionIndicator,
        multi: Multi,
        variant: list_variant.ListVariant,
        name: String,
        disabled: Disabled,
      )
    }

### Constructors

-     Config(
        hide_selection_indicator: HideSelectionIndicator,
        multi: Multi,
        variant: list_variant.ListVariant,
        name: String,
        disabled: Disabled,
      )

## Disabled

</>

Disabled is whether the element is disabled.

    pub type Disabled {
      IsDisabled
      IsNotDisabled
    }

### Constructors

-     IsDisabled

-     IsNotDisabled

## HideSelectionIndicator

</>

HideSelectionIndicator is whether to hide the selection indicator.

    pub type HideSelectionIndicator {
      IsHideSelectionIndicator
      IsNotHideSelectionIndicator
    }

### Constructors

-     IsHideSelectionIndicator

-     IsNotHideSelectionIndicator

## Multi

</>

Multi is whether multiple items can be selected.

    pub type Multi {
      IsMulti
      IsNotMulti
    }

### Constructors

-     IsMulti

-     IsNotMulti

## SelectionList

opaque </>

SelectionList is a View Model for this component

## Fields:

- hide_selection_indicator: Whether to hide the selection indicator.
- multi: Whether multiple items can be selected.
- variant: The appearance variant of the list.
- name: The name that identifies the element when submitting the associated form.
- disabled: Whether the element is disabled.

    pub opaque type SelectionList

# Values

## default_config

</>

    pub fn default_config() -> Config

default_config is the default configuration for this component.

## default_disabled

</>

    pub const default_disabled: Disabled

## default_hide_selection_indicator

</>

    pub const default_hide_selection_indicator: HideSelectionIndicator

## default_multi

</>

    pub const default_multi: Multi

## default_name

</>

    pub const default_name: String

## default_variant

</>

    pub const default_variant: list_variant.ListVariant

## disabled

</>

    pub fn disabled(
      record: SelectionList,
      disabled: Disabled,
    ) -> SelectionList

disabled sets the value of disabled for this SelectionList.

## from_config

</>

    pub fn from_config(config: Config) -> SelectionList

from_config creates a new SelectionList from the given configuration.

## hide_selection_indicator

</>

    pub fn hide_selection_indicator(
      record: SelectionList,
      hide_selection_indicator: HideSelectionIndicator,
    ) -> SelectionList

hide_selection_indicator sets the value of hide_selection_indicator for this SelectionList.

## multi

</>

    pub fn multi(
      record: SelectionList,
      multi: Multi,
    ) -> SelectionList

multi sets the value of multi for this SelectionList.

## name

</>

    pub fn name(record: SelectionList, name: String) -> SelectionList

name sets the value of name for this SelectionList.

## new

</>

    pub fn new() -> SelectionList

new creates a new SelectionList with the default configuration.

## render

</>

    pub fn render(
      model: SelectionList,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a SelectionList

## render_config

</>

    pub fn render_config(
      c: Config,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render_config creates a Lustre Element from a SelectionList Config

## variant

</>

    pub fn variant(
      record: SelectionList,
      variant: list_variant.ListVariant,
    ) -> SelectionList

variant sets the value of variant for this SelectionList.

✨